#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import os.path, sys, AdminUtilities
from java.lang import System

nodeName = System.getProperty("local.node")
servers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "APPLICATION_SERVER", "-nodeName", nodeName]))
if len(servers) != 1:
  raise AssertionError, "Need exactly one application server, found " + `len(servers)` + " servers."
serverName = AdminConfig.showAttribute(servers[0], "name")
bpmDesign = sys.argv[1]

options = ["-serverName", serverName, "-nodeName", nodeName, "-dbDesign", bpmDesign]
print "Installing Process Center using %s..." % (options)
AdminTask.configureProcessCenter(options)
print "Process Center installation completed"
print "Saving the configuration"
AdminConfig.save()
