#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import sys, AdminUtilities
from java.lang import System

nodeName = System.getProperty("local.node")
servers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "APPLICATION_SERVER", "-nodeName", nodeName]))
if len(servers) != 1:
  raise AssertionError, "Need exactly one application server, found " + `len(servers)` + " servers."
serverName = AdminConfig.showAttribute(servers[0], "name")
options = ["-serverName", serverName, "-nodeName", nodeName, "-dbDelayConfig", "true"]
logOptions = options[:]

paramName = None
for arg in sys.argv:
  if arg.startswith("-"):
    paramName = arg
  elif paramName:
    options.extend([paramName, arg])
    if paramName.endswith("Password"):
      logOptions.extend([paramName, "*******"])
    else:
      logOptions.extend([paramName, arg])
    paramName = None
  #endif
#endfor

print "Installing Process Server using %s..." % (logOptions)
AdminTask.configureProcessServer(options)
print "Process Server installation completed"
print "Saving the configuration"
AdminConfig.save()
